Skip to navigation

Get Partner Assessment Orders

View as Markdown
Partner Restricted

All assessment API endpoints are restricted to assessment providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This endpoint allows partners retrieve assessment orders for companies actively onboarded to their API client ID. Orders can be filtered by company ID, order ID, candidate ID, or creation date, and are always sorted by companyId.

Use Case

A partner support team needs to troubleshoot a client issue. They use the endpoint to pull all assessment orders for a company and quickly identify discrepancies or status of the order in Paylocity.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

Headers

testModebooleanOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Query parameters

filterstringOptional

String to filter results, e.g., ‘filter=assessmentorderid eq ‘assessment_order_id”. Detailed filtering guide at: https://api-first-strategy.pages.paylocity.com/design/rest/operations/#filtering.

includeTotalCountbooleanOptional

If true, adds X-Pcty-Total-Count header with the total count of results for the query.

offsetintegerOptional

Pagination offset for the result set. Uses item-index offset semantics: this is the number of resources to skip (not a page number). Pair with limit for paging.

limitintegerOptional

Maximum number of results to return in a single call. Used together with offset for offset/limit pagination.

Response headers

X-Pcty-Total-Countinteger

When the request sets includeTotalCount=true, the API returns this header with the total number of resources available (even if only one page is returned).

Response

Successful response

Errors

401
Unauthorized Error